Elevation - Post Data For Points

Query Elevation Data for Multiple Points
Applies to: see pricing tiers.

The Post Data for Points API provides elevation data for multiple points. A point is defined lon/lat coordinate format.

Use the POST endpoint only if you intend to pass multiple points in the request. If you intend to pass a single coordinate into the API, use the GET Data For Points API.

The result will be in the same sequence of points listed in the request.

POST https://atlas.microsoft.com/elevation/point/json?api-version=1.0

URI Parameters

Name In Required Type Description
format
path True

Desired format of the response. Only json format is supported.

api-version
query True
  • string

Version number of Azure Maps API.

Request Header

Name Required Type Description
x-ms-client-id
  • string

Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance.

Request Body

Name Type Description
points

The string representation of a list of points. A point is defined in lon/lat WGS84 coordinate reference system format. Each points in a list should be separated by the pipe ('|') character. The number of points that can be requested in a POST request ranges from 2 to 2,000. The resolution of the elevation data will be the highest for a single point and will decrease if multiple points are spread further apart.

Responses

Name Type Description
200 OK

OK

Other Status Codes

An unexpected error occurred.

Security

AADToken

These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.

To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.

Notes

  • This security definition requires the use of the x-ms-client-id header to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.

The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations. * The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs. * Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.

  • Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://atlas.microsoft.com/.default https://atlas.microsoft.com/.default

subscription-key

This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.

For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.

Type: apiKey
In: query

SAS Token

This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.

For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.

Type: apiKey
In: header

Examples

Successfully retrieve elevation data for multiple points using post

Sample Request

POST https://atlas.microsoft.com/elevation/point/json?api-version=1.0
[
  {
    "lon": -121.66853362143819,
    "lat": 46.84646479863713
  },
  {
    "lon": -121.68853362143818,
    "lat": 46.85646479863713
  }
]

Sample Response

{
  "data": [
    {
      "coordinate": {
        "latitude": 46.84646479863713,
        "longitude": -121.66853362143819
      },
      "elevationInMeter": 2314.453420172242
    },
    {
      "coordinate": {
        "latitude": 46.85646479863713,
        "longitude": -121.68853362143818
      },
      "elevationInMeter": 2506.143003879378
    }
  ]
}

Definitions

Elevation

The elevation data.

ElevationResult

The response from a successful Get Data for Bounding Box API.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

JsonFormat

Desired format of the response. Only json format is supported.

LatLongPair

A location represented as a latitude and longitude.

LatLongPairAbbreviated

A location represented as a latitude and longitude using short names 'lat' & 'lon'.

Elevation

The elevation data.

Name Type Description
coordinate

A location represented as a latitude and longitude.

elevationInMeter
  • number

The elevation value in meters.

ElevationResult

The response from a successful Get Data for Bounding Box API.

Name Type Description
data

The response for point/points elevation API. The result will be in same sequence of points listed in request.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

ErrorResponse

Error response

Name Type Description
error

The error object.

JsonFormat

Desired format of the response. Only json format is supported.

Name Type Description
json
  • string

The JavaScript Object Notation Data Interchange Format

LatLongPair

A location represented as a latitude and longitude.

Name Type Description
latitude
  • number

Latitude property

longitude
  • number

Longitude property

LatLongPairAbbreviated

A location represented as a latitude and longitude using short names 'lat' & 'lon'.

Name Type Description
lat
  • number

Latitude property

lon
  • number

Longitude property